Bug 529564 - Bluetooth is not working on msi wind u200
Bluetooth is not working on msi wind u200
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-18 13:52 EDT by Daniel Mircea
Modified: 2013-01-10 03:03 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-04-09 18:23:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Daniel Mircea 2009-10-18 13:52:06 EDT
Description of problem:

Bluetooth is not working on a msi wind u200 netbook. 

It can't be enabled(Fn + F9), whereas other controls work fine such as volume, brightness, wireless.
Comment 1 Bastien Nocera 2009-10-20 11:33:22 EDT
I see from the specs that the Bluetooth module is optional on those models. Are you sure there's Bluetooth builtin?

In any case, it's up to the kernel to present either:
- the Bluetooth adapter
- an rfkill interface that would allow the adapter to be toggled on

As it seems to do neither, reassigning.
Comment 2 Matthew Garrett 2009-10-20 17:02:06 EDT
What does lsusb look like on the device?
Comment 3 Daniel Mircea 2009-10-20 17:20:02 EDT
lsusb output:

Bus 002 Device 002: ID 5986:02c1 Acer, Inc 
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 0bda:0158 Realtek Semiconductor Corp. Mass Stroage Device
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

As a minor clarification.
Some msi wind models don't have bluetooth, this is quite true. However as far as I know all u200 have it.
Comment 4 Daniel Mircea 2010-04-09 18:23:49 EDT
I stand corrected. You were right. It doesn't have a bluetooth module.

Note You need to log in before you can comment on or make changes to this bug.